%define name muine-plugins-unofficial
%define version 1.0.0
%define release %mkrel 3

Summary: Collection of plugins for the Muine player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Patch: muine-plugins-unofficial-0.0.1-dllmap.patch
Patch1: muine-plugins-unofficial-1.0.0-gtk-sharp.patch
License: GPL
Group: Sound
Url: http://www.public.asu.edu/~bnickel/MuinePluginsUnofficial/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel muine
BuildRequires: libalsa-devel
BuildRequires: gnome-sharp2-devel
BuildArch: noarch
Requires: libalsa
%define _requires_exceptions lib.*alsa2

%description
This is a collection of plugins for the Muine audio player. It contains an
Alarm Clock and a Tray Icon plugin.

%prep
%setup -q
%patch -p1
%patch1 -p1
autoconf

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog NEWS
%_prefix/lib/muine/plugins/Muine.Plugins.Base.dll
%_prefix/lib/muine/plugins/Muine.Plugins.AlarmClock.dll*
%_prefix/lib/muine/plugins/Muine.Plugins.PluginManager.dll
%_prefix/lib/muine/plugins/Muine.Plugins.TrayIcon.dll
%_prefix/lib/muine/plugins/Muine.Plugins.Widgets.dll
%_datadir/pkgconfig/muine-plugins-unofficial.pc




%changelog
* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 1.0.0-3mdv2009.0
+ Revision: 274132
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-2mdv2009.0
+ Revision: 268200
- rebuild early 2009.0 package (before pixel changes)

* Wed May 07 2008 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 202848
- fix buildrequires
- new version
- patch to fix build with new gtk-sharp
- fix installation
- update file list
- update requires exceptions for new mono

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 23 2007 Götz Waschk <waschk@mandriva.org> 0.0.1-2mdv2008.1
+ Revision: 111421
- fix build on 64 bit
- remove automatic mono deps


* Thu Nov 23 2006 Götz Waschk <waschk@mandriva.org> 0.0.1-1mdv2007.0
+ Revision: 86450
- Import muine-plugins-unofficial

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 0.0.1-1mdv2007.1
- initial package

